#ifndef ALARM_HISTORY_TREE_H
#define ALARM_HISTORY_TREE_H

#include "filter.h"
#include <QTreeView>
#include <QObject>
#include <QTreeView>
#include <QSqlDatabase>

class MySqlModel;

class AlarmHistoryTree : public QTreeView
{
	Q_OBJECT
	public:
		AlarmHistoryTree(QWidget* parent);
		void executeQuery(QString &q);
		enum columns { DATET, MICROSEC, STATUS, ACK, NAME, LEVEL, GROUP, MSG };
		void applyFilter(AlarmFilter f);
		void removeFilter();

	protected:

	protected slots:
		void updateView(QString &);
	private:
		QSqlDatabase db;
		MySqlModel *model;
		bool _filter_enabled;
};





#endif


